## class Node : public Subject

> Node class (base class for all specific node classes).

## Inheritance:

### Public Methods

  | Node (Graph *g)
  bool | IsEdge () const a node is not an edge
  bool | InGraph () const is node in the graph?
  const string* | GetIndex () const
  virtual Subject::NameErrType | SetIndex (const string *s) set and check index
  void | WriteMembers (OutputFile *f)
  bool | ReadMembers (InputFile *f, double format)
  void | GetParentIndex (string *pindex) put in pindex the index of the parent node.

### Inherited from Subject:

### Public Classes

enum NameErrType

### Public Methods

virtual Subject* Clone()
bool IsSubject() const
const string* GetName() const
virtual NameErrType SetName(const string *s)
bool SetReferences(AssocList *)
bool CheckReferences()
void SetParent(Node *p)
Node* GetParent() const
void SetAnnotation(string *s)
const string* GetAnnotation() const
Graph* GetGraph() const

### Inherited from Thing:

### Public Classes

enum AssocType

### Public Methods

unsigned long GetId()
void SetId(unsigned long val)
virtual bool IsShape() const
virtual bool IsView() const
virtual int GetClassType() const
void Write(OutputFile *ofile)

## Documentation

> Node class (base class for all specific node classes).

`Node(Graph *g)`

`bool IsEdge() const`
  a node is not an edge

`bool InGraph() const`
  is node in the graph?

`const string* GetIndex() const`

`virtual Subject::NameErrType SetIndex(const string *s)`
  set and check index

`void WriteMembers(OutputFile *f)`

`bool ReadMembers(InputFile *f, double format)`

`void GetParentIndex(string *pindex)`
  put in pindex the index of the parent node.

Direct child classes:
  ValueType
  UCDUseCaseNode
  UCDSystemNode
  UCDActorNode
  TextNode
  TaxonomyJunction
  StringListNode
  STNode
  SSDAggregationNode
  SNNode
  RelationshipNode
  ProcessGraphNode
  PSProcess
  GenericNode
  EntityType
  EmptyNode
  DPDResourceNode
  DFNode
  Comment
  CPDInterfaceNode
  CPDComponentNode
  ATDWaitStateNode
  ATDSynchronizationNode
  ATDInitialStateNode
  ATDFinalStateNode
  ATDDecisionStateNode
  ATDActionStateNode

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de